Bug 1299266 - [abrt] ristretto: xfconf_cache_set(): ristretto killed by SIGSEGV
[abrt] ristretto: xfconf_cache_set(): ristretto killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ristretto (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c104438c681d336cfda26669df7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 19:04 EST by xzj8b3
Modified: 2016-10-18 11:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: ristretto-0.8.1-2.fc25 ristretto-0.8.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-11 11:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.30 KB, text/plain)
2016-01-17 19:04 EST, xzj8b3
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: core_backtrace (6.31 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: dso_list (9.38 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: environ (3.31 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: exploitable (93 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: maps (46.00 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: mountinfo (3.56 KB, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: open_fds (688 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: proc_pid_status (999 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details
File: var_log_messages (288 bytes, text/plain)
2016-01-17 19:05 EST, xzj8b3
no flags Details

  None (edit)
Description xzj8b3 2016-01-17 19:04:53 EST
Version-Release number of selected component:
ristretto-0.8.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ristretto /usr/share/backgrounds/desk2.png
crash_function: xfconf_cache_set
executable:     /usr/bin/ristretto
global_pid:     3210
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xfconf_cache_set at xfconf-cache.c:764
 #1 xfconf_channel_set_internal at xfconf-channel.c:408
 #2 IA__xfconf_channel_set_property at xfconf-channel.c:1353
 #3 xfconf_g_property_object_notify at xfconf-binding.c:130
 #9 g_object_notify_queue_thaw at gobject.c:296
 #10 g_object_set_property at gobject.c:2370
 #11 rstto_settings_set_navbar_position at settings.c:896
 #12 rstto_main_window_set_navigationbar_position at main_window.c:1914
 #13 rstto_main_window_init at main_window.c:976
 #14 g_type_create_instance at gtype.c:1874

Potential duplicate: bug 876477
Comment 1 xzj8b3 2016-01-17 19:04:59 EST
Created attachment 1115677 [details]
File: backtrace
Comment 2 xzj8b3 2016-01-17 19:05:00 EST
Created attachment 1115678 [details]
File: cgroup
Comment 3 xzj8b3 2016-01-17 19:05:02 EST
Created attachment 1115679 [details]
File: core_backtrace
Comment 4 xzj8b3 2016-01-17 19:05:04 EST
Created attachment 1115680 [details]
File: dso_list
Comment 5 xzj8b3 2016-01-17 19:05:05 EST
Created attachment 1115681 [details]
File: environ
Comment 6 xzj8b3 2016-01-17 19:05:07 EST
Created attachment 1115682 [details]
File: exploitable
Comment 7 xzj8b3 2016-01-17 19:05:09 EST
Created attachment 1115683 [details]
File: limits
Comment 8 xzj8b3 2016-01-17 19:05:11 EST
Created attachment 1115684 [details]
File: maps
Comment 9 xzj8b3 2016-01-17 19:05:13 EST
Created attachment 1115685 [details]
File: mountinfo
Comment 10 xzj8b3 2016-01-17 19:05:14 EST
Created attachment 1115686 [details]
File: namespaces
Comment 11 xzj8b3 2016-01-17 19:05:16 EST
Created attachment 1115687 [details]
File: open_fds
Comment 12 xzj8b3 2016-01-17 19:05:17 EST
Created attachment 1115688 [details]
File: proc_pid_status
Comment 13 xzj8b3 2016-01-17 19:05:19 EST
Created attachment 1115689 [details]
File: var_log_messages
Comment 14 Fedora Update System 2016-10-07 02:24:33 EDT
ristretto-0.8.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cb78de87b6
Comment 15 Fedora Update System 2016-10-07 05:57:56 EDT
ristretto-0.8.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b4a337251
Comment 16 Fedora Update System 2016-10-11 11:42:17 EDT
ristretto-0.8.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-10-18 11:54:41 EDT
ristretto-0.8.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.